%global pkgname m2r
%global desc M2R converts a markdown file including reST markups to a valid reST format.

Name:           python3-%{pkgname}
Version:        0.1.14
Release:        %mkrel 1
Summary:        Markdown to reStructuredText converter
License:        MIT
URL:            https://github.com/miyakogi/%{pkgname}
Source0:        https://github.com/miyakogi/%{pkgname}/archive/v%{version}/%{pkgname}-%{version}.tar.xz
BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-docutils
BuildRequires:  python3-mistune
BuildRequires:  python3-pygments
BuildRequires:  python3-mock
Requires:       python3-docutils
Requires:       python3-mistune
Group:          Development/Python

%description
M2R converts a markdown file including reST markups to a valid reST format.

%prep
%setup -qn %{pkgname}-%{version}

# Remove upstream's egg-info
rm -rf %{pkgname}.egg-info

# Remove shebang
sed -i '1{\@^#!/usr/bin/env python@d}' m2r.py


%build
%py3_build


%install
%py3_install



%files 
%doc README.md LICENSE
%{_bindir}/m2r
%{python3_sitelib}/%{pkgname}.py
%{python3_sitelib}/%{pkgname}-%{version}*-py%{python3_version}.egg-info



%changelog
* Sun Apr 22 2018 Ken <lxgator at gmail.com> 0.1.14-1pclos2018
- Create pkg
